import { PathSegment } from "./PathSegment";
import { Point, Type } from "./type";
import { PathSegmentType } from "./PathSegmentType";
export declare class LineSegment extends PathSegment {
    private b;
    c: Point;
    constructor(a: number, b: Point);
    constructor(a: number);
    constructor(a: number, ..._rest: any[]);
    protected get_a(): PathSegmentType;
    readonly a: PathSegmentType;
    static $t: Type;
}
